#ifndef _K_EVENT_BASE_H_
#define _K_EVENT_BASE_H_

/**************************************************************************************

 Copyright  1998 - 2005 Systmes Alias Qubec Inc. and/or its licensors.  
 All rights reserved.

 The coded instructions, statements, computer programs, and/or related material 
 (collectively the "Data") in these files contain unpublished information proprietary
 to Systmes Alias Qubec Inc. and/or its licensors, which is protected by Canadian
 and US federal copyright law and by international treaties.

 The Data may not be disclosed or distributed to third parties, in whole or in part,
 without the prior written consent of Alias Systems Corp. (Alias).

 THE DATA IS PROVIDED AS IS AND WITHOUT WARRANTY. ALL WARRANTIES ARE EXPRESSLY
 EXCLUDED AND DISCLAIMED. ALIAS MAKES NO WARRANTY OF ANY KIND WITH RESPECT TO THE DATA,
 EXPRESS, IMPLIED OR ARISING BY CUSTOM OR TRADE USAGE, AND DISCLAIMS ANY IMPLIED
 WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR 
 PURPOSE. IN NO EVENT SHALL ALIAS, ITS AFFILIATES, PARENT COMPANIES, LICENSORS OR 
 SUPPLIERS (ALIAS GROUP) BE LIABLE FOR ANY DAMAGES OR EXPENSES OF ANY KIND INCLUDING
 WITHOUT LIMITATION PUNITIVE OR MULTIPLE DAMAGES OR OTHER SPECIAL, DIRECT, INDIRECT, 
 EXEMPLARY, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND, WHETHER OR NOT ALIAS HAS
 BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWSOEVER CAUSED AND ON ANY THEORY OF
 LIABILITY. 

**************************************************************************************/

#include <kaydaradef.h>
#ifndef KBASELIB_DLL 
	#define KBASELIB_DLL K_DLLIMPORT
#endif

#include <kaydara.h>

#define K_EVENT_BASE 0x200

K_FORWARD( KEventBase )

#define K_EVENT_NONE			0x000
#define K_EVENT_VALUE_CHANGED	0x206

typedef  int   kEventType;

class KBASELIB_DLL KEventBase
{
  protected:
    kEventType mType;
    bool       mBreakEvent;

  public:
    KEventBase()			{ mType = K_EVENT_BASE; mBreakEvent = false; }
    kEventType GetType()	{ return mType; }

    void    SetBreakEvent()  {  mBreakEvent = true;}  // Stop Treating Event
    bool    GetBreakEvent()  { return mBreakEvent; }  // True if Event are not going to be treated next...

};

#endif
