/****************************************************************************\
*                                                                            *
* 17.06.2006                                                                 *
* CAlphaBlendingStateNode - Header File                                             *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

#ifndef __CALPHABLENDINGSTATENODE_H__
#define __CALPHABLENDINGSTATENODE_H__

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include <Definitions.h>
#include <Memory/mmgr.h>
#include "IStateNode.h"

/****************************************************************************\
* DEFINITIONS                                                                *
\****************************************************************************/

/****************************************************************************\
* CLASS                                                                      *
\****************************************************************************/
class CAlphaBlendingStateNode : public IStateNode
{
	/**************************************************************************\
	* PUBLIC CLASS FUNCTIONS                                                   *
	\**************************************************************************/
public:
	CAlphaBlendingStateNode(){}

	virtual void ExecutePreState();
	virtual void ExecutePostState();

	virtual ~CAlphaBlendingStateNode(){}

	/**************************************************************************\
	* PROTECTED CLASS FUNCTIONS                                                *
	\**************************************************************************/
protected:

	/**************************************************************************\
	* PRIVATE CLASS FUNCTIONS                                                  *
	\**************************************************************************/
private:
	//Private copy constructor and assignment operator to prevent mistakes:
	CAlphaBlendingStateNode(const CAlphaBlendingStateNode &);
	CAlphaBlendingStateNode &operator =(const CAlphaBlendingStateNode &);

	/**************************************************************************\
	* PROTECTED CLASS MEMBERS                                                  *
	\**************************************************************************/
protected:

	/**************************************************************************\
	* PRIVATE CLASS MEMBERS                                                    *
	\**************************************************************************/
private:

};

#endif
