/****************************************************************************\
*                                                                            *
* 26.04.2006                                                                 *
* CFModSound - Source File                                                   *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "CFModSound.h"

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
CFModSound::CFModSound(CFModSoundMgr *mgr){
	m_pSoundMgr = mgr ;
	m_pSound    = NULL;
	m_pChannel  = NULL;
	m_pMode     = NULL;
}

void CFModSound::Play(){
	m_pSoundMgr->Play(this);
}

void CFModSound::Pause(){

}

void CFModSound::Stop(){
	m_pChannel->stop();
}


/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/


