/****************************************************************************\
*                                                                            *
* 17.02.2006                                                                 *
* CStdApp - Source File                                                      *
*                                                                            *
* (c) Raphael Charwot                                                        *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "CStdApp.h"

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/

/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/
int CStdApp::RunApp(HINSTANCE hInstance)
{
    m_hInstance = hInstance;

    if(!Create())
    {
        LOG(TL_ERROR, "Error: Creation of application object failed");
        return -1;
    }

    MSG msg;
    while(1)
    {
        if(PeekMessage(&msg, NULL, 0, 0, PM_REMOVE))
        {
            TranslateMessage(&msg);
            DispatchMessage(&msg);
        }
        else
        {
            if(!Update())
                break;
        }
    }

    Destroy();
    return 0;
}
